<html>

<head>
	<title>Form Profile</title>
	<script src="/jquery-3.5.1.min.js"></script>
</head>

<body>
	<table border="1">
		<tr>
			<td>Nama Lengkap : </td>
			<td><input type="text" id="nama_lengkap"></td>
			</tr>
			<tr>
				<td>Gender</td>
				<td>
					<select name = "gender" id="gender">
						<option>-- pilih --</option>
						<option value="Laki-laki">Laki-laki</option>
						<option value="Perempuan">Perempuan</option>
					</select>
				</td>
			</tr>
			<tr>
				<td>Agama : </td>
				<td>
					<input id="p1" name="agama" type="radio" value="Islam">Islam<br>
					<input id="p2" name="agama" type="radio" value="Kristen">Kristen<br>
					<input id="p3" name="agama" type="radio" value="Buddha">Buddha<br>
					<input id="p4" name="agama" type="radio" value="Hindu">Hindu<br>
					<input id="p5" name="agama" type="radio" value="Katholik">Katholik
				</td>
			</tr>
			<tr>
				<td>Alamat : </td>
				<td><textarea name="alamat" id="alamat"></textarea></td>
			</tr>
			<tr style="text-align : center">
				<td colspan="2">
				<button onclick="saveData()">Save</button>
				<button onclick="withJquery()">Save With JQUERY</button>
				</td>
			</tr>
	</table>
	
	<div id="isidata"></div>
	
	<script>
		function saveData(){
			var agama = ""
			
			if(document.getElementById('p1').checked){
				agama = document.getElementById('p1').value
			}else if(document.getElementById('p2').checked){
				agama = document.getElementById('p2').value
			}else if(document.getElementById('p3').checked){
				agama = document.getElementById('p3').value			
			}else if(document.getElementById('p4').checked){
				agama = document.getElementById('p4').value
			}else {
				agama = document.getElementById('p5').value
			}
			
			var nama = document.getElementById('nama_lengkap').value
			var gender = document.getElementById('gender').value
			var alamat = document.getElementById('alamat').value
			
			/*console.log(nama)
			console.log(gender)
			console.log(agama)
			console.log(alamat)*/	
			
			var str = ""
			str += "<p>Nama lengkap: " + nama + "<br>"
			str += "Gender : " + gender + "<br>"
			str += "Agama : " + agama + "<br>"
			str += "Alamat : " + alamat + "</p>"
			
			document.getElementById('isidata').innerHTML = str;
		}
		
		function withJquery(){
			var nama = $('#nama_lengkap').val()
			var gender = $('#gender').val()
			var alamat = $('#alamat').val()
			
			var agama = ""
			if($('#p1')[0].checked){
				agama=$('#p1').val()
			} else if($('#p2')[0].checked){
				agama=$('#p2').val()
			} else if($('#p3')[0].checked){
				agama=$('#p3').val()
			} else if($('#p4')[0].checked){
				agama=$('#p4').val()
			} else{
				agama=$('#p5').val()
			}
			
			var str =""
			str += "<p>Nama lengkap: " + nama + "<br>"
			str += "Gender : " + gender + "<br>"
			str += "Agama : " + agama + "<br>"
			str += "Alamat : " + alamat + "</p>"
			
			$('#isidata').html(str);
		}
	</script>
</body>

</html>